## org.eclipse.amp.amf.testing.parseTreeConstruction
Class ATestParsetreeConstructor.Model_TestsKeyword_3_0_0_0

    java.lang.Object
      org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken
          org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.KeywordToken
              org.eclipse.amp.amf.testing.parseTreeConstruction.ATestParsetreeConstructor.Model_TestsKeyword_3_0_0_0

Enclosing class:
  ATestParsetreeConstructor

    protected class ATestParsetreeConstructor.Model_TestsKeyword_3_0_0_0

extends org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.KeywordToken

Field Summary

Fields inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken
`eObjectConsumer, lastRuleCallOrigin, next, node, tokensForSemanticChildren, transitionIndex`

Constructor Summary
`ATestParsetreeConstructor.Model_TestsKeyword_3_0_0_0(org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken lastRuleCallOrigin, org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken next, int transitionIndex, org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer eObjectConsumer)`

Method Summary
`org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken` `createFollower(int index, org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)`
`org.eclipse.xtext.Keyword` `getGrammarElement()`

Methods inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.KeywordToken
`equalsOrReplacesNode, serializeInternal`

Methods inherited from class org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken
`checkForRecursion, createFollowerAfterReturn, dumpTokens, getEObject, getEObjectConsumer, getLastRuleCallOrigin, getNext, getNode, getTokensForSemanticChildren, getTransitionIndex, serialize, setNode, tryConsume`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestParsetreeConstructor.Model_TestsKeyword_3_0_0_0

    public ATestParsetreeConstructor.Model_TestsKeyword_3_0_0_0(org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken lastRuleCallOrigin,
                                                                org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken next,
                                                                int transitionIndex,
                                                                org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer eObjectConsumer)

Method Detail

### getGrammarElement

    public org.eclipse.xtext.Keyword getGrammarElement()

  Specified by:
    `getGrammarElement` in class `org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken`

### createFollower

    public org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken createFollower(int index,
                                                                                                               org.eclipse.xtext.parsetree.reconstr.IEObjectConsumer inst)

  Overrides:
    `createFollower` in class `org.eclipse.xtext.parsetree.reconstr.impl.AbstractParseTreeConstructor.AbstractToken`